{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":434,"path":"api-reference/rest-api-explorer/t_CreateAScriptedRESTAPIResource.md","title":"Create a scripted REST API resource","bundle":null,"doc_type":null,"release":"australia","body":"\n# Create a scripted REST API resource\n\nCreate a scripted REST API resource to define the HTTP method, the processing script, and to override settings from the parent service.\n\n## Before you begin\n\nCreate a scripted REST API. For more information, see [Create a scripted REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/t_CreateAScriptedRESTService.md).\n\nRole required: web\\_service\\_admin\n\n## Procedure\n\n1.  Navigate to **All** &gt; **System Web Services** &gt; **Scripted REST APIs**.\n\n2.  Select a scripted REST API record.\n\n3.  In the **Resources** related list, click **New**.\n\n4.  Enter a **Name**.\n\n    The resource name affects the URI for sending requests to the API.\n\n5.  Select the **HTTP method** this resource implements, such as **GET**.\n\n6.  In the **Script** field, define how the operation parses and responds to requests.\n\n7.  Override settings from the parent REST API as needed, such as by specifying different security settings or valid content types.\n\n8.  On the **Documentation** tab, provide a **Short description** explaining how to access the resource.\n\n    This information appears when exploring this resource using the REST API Explorer.\n\n9.  Click **Submit**.\n\n\n## What to do next\n\nAfter creating the resource, you can associate headers and query parameters. For details, see [Define scripted REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/t_DefineRESTServiceHeaders.md) and [Define available query parameters](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/t_DefineAvailableQueryParameters.md).\n\n**Parent Topic:**[Create a scripted REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/t_CreateAScriptedRESTService.md)\n\n"}}